body, html {
    height: 100%;
    margin: 0;
    overflow: hidden;
    display: flex;
}


.background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url(../images/46710-3840x2160-desktop-4k-rick-and-morty-wallpaper-photo.jpg); 
    background-size: cover;
    background-position: center;
    opacity: 0; 
    transition: opacity 5s ease; 
}

.show {
    opacity: 1; 
}


.loading-screen {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: black;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: opacity 1s ease;
    z-index: 1000;
}

.loading-container {
    text-align: center; 
}

.logo {
    width: 150px; 
}

.loading-text {
    color: white;
    margin-top: 10px;
}

.rules-container {
    position: absolute;
    right: 33%;
    top: 90%;
    transform: translateY(-50%);
    color: white;
    max-width: 300px;
    -webkit-transform: translateY(-50%);
    -moz-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    -o-transform: translateY(-50%);
}

.rules-container h2 {
    margin-bottom: 10px; 
}


.rules-container2{
    position: absolute;
    right: auto;
    left: 30px;
    top: 80%;
    transform: translateY(-50%); 
    color: white;
    max-width: 300px; 
}

.rules-container2 h2 {
    margin-bottom: 10px; 
}




.button-92 {
    --c: #fff;
    background: linear-gradient(90deg, #0000 33%, #fff5, #0000 67%) var(--_p,100%)/300% no-repeat,      #00ff00;
    color: #0000;
    border: none;
    transform: perspective(500px) rotateY(calc(20deg*var(--_i,-1)));
    text-shadow: calc(var(--_i,-1)* 0.08em) -.01em 0   var(--c),      calc(var(--_i,-1)*-0.08em)  .01em 2px #0004;
    outline-offset: .1em;
    transition: 0.3s;

}
  
  .button-92:hover,
  .button-92:focus-visible {
    --_p: 0%;
    --_i: 1;
  }
  
  .button-92:active {
    text-shadow: none;
    color: var(--c);
    box-shadow: inset 0 0 9e9q #0005;
    transition: 0s;
  }
  
  .button-92 {
    font-weight: bold;
    font-size: 2rem;
    cursor: pointer;
    padding: .1em .3em;
  }


  
.button-93 {
    --c: #fff;
    background: linear-gradient(90deg, #0000 33%, #fff5, #0000 67%) var(--_p,100%)/300% no-repeat,      #00ff00;
    color: #0000;
    border: none;
    transform: perspective(500px) rotateY(calc(-20deg*var(--_i,-1)));
    text-shadow: calc(var(--_i,-1)* 0.08em) -.01em 0   var(--c),      calc(var(--_i,-1)*-0.08em)  .01em 2px #0004;
    outline-offset: .1em;
    transition: 0.3s;
}
  
  .button-93:hover,
  .button-93:focus-visible {
    --_p: 0%;
    --_i: 1;
  }
  
  .button-93:active {
    text-shadow: none;
    color: var(--c);
    box-shadow: inset 0 0 9e9q #0005;
    transition: 0s;
  }
  .button-93 {
    font-weight: bold;
    font-size: 2rem;
    cursor: pointer;
    padding: .1em .3em;
  }

  .button-container {
    position: absolute;
    top: 50%;
    left: 80%;
    opacity: 0;
    transition: opacity 2s ease;

}

.button-container2 {
    position: absolute;
    top: 50%;
    right: 78%;
    opacity: 0;
    transition: opacity 2s ease;

}

.button-container.show{
    opacity: 1;
}
.button-container2.show{
    opacity: 1;
}


.rules-container {
    text-align: center;
    max-width: 600px;
    margin: auto;
    padding: 20px;
    border-radius: 10px;
    margin-top: 20px;
}

#Titre{
    font-family: 'Orbitron', sans-serif;
    color: #00ff00; 
    text-shadow: 0 0 10px #00ff00, 0 0 20px #00ff00, 0 0 30px #00ff00;
    font-size: 2.5rem;
    margin-bottom: 15px;
    animation: neon-glow 1.5s ease-in-out infinite alternate;
}


.button-92 a, .button-93 a{
    text-decoration: none;
    color: white;
}

